endless-sky(6)

NAME
endless-sky - a space exploration and combat game.

SYNOPSIS
endless-sky [-h] [--help] [-v] [--version] [-s] [--ships] [-w] [--weapons] [-t] [--talk] [-r] [--resources] [-c] [--config] [-p] [--parse-save] [--test]

DESCRIPTION
Endless Sky is a space exploration and combat game combining action and role playing elements.

Explore other star systems. Earn money by trading, carrying passengers, or completing missions. Use your earnings to buy a better ship or to upgrade the weapons and engines on your current one. Blow up pirates. Take sides in a civil war. Or leave human space behind and hope to find some friendly aliens whose culture is more civilized than your own.

For keyboard controls, click the "Preferences" button on the title screen. You can pause and return to the title screen at any point in the game by pressing <escape>.

Most of the controls should be self-explanatory. Your ship has no reverse thrusters, so as with a real spacecraft, the only way to slow down is to turn your ship around and accelerate in the opposite direction from your current heading. To assist with some tricky maneuvers, your ship has an autopilot which engages when you press 'L' to land or 'J' to enter hyperspace; the autopilot disengages if you press any of the movement keys. The autopilot will also automatically aim your ship if you are firing a weapon and have a target selected.

For a manual and other information, visit https://endless-sky.github.io

When run from the command line, if a resource directory is not specified, the program will check to see if the current directory contains directories named "data" and "images" and files named "keys.txt" and "credits.txt"; if so it will read resources from the current directory. Otherwise it will use /usr/local/share/games/endless-sky if it exists, or /usr/share/games/endless-sky/ otherwise.

OPTIONS

-h, --help
    prints a short help message.

-v, --version
    prints the software version.

-t, --talk
    reads a data file from STDIN and looks for a "conversation" node at the root level (i.e. not indentated). If it finds one, that conversation is displayed in a pop-up dialog. This is for testing conversations in a new mission you are developing.

-r, --resources <directory>
    sets the directory from which game resources (images, etc.) will be loaded.

-c, --config <directory>
    sets the directory where preferences and saved games will be stored.

-p, --parse-save
    prints any content or whitespace-formatting errors found while loading data files and the most recent saved game. This option prevents the game from launching.

--parse-assets
    prints any content, whitespace-formatting, image, or sound errors found while loading data, image, and sound files and the most recent saved game. This option prevents the game from launching.

--test <name>
    execute the test case with the given name. By default, the game will be muted while running tests.

--tests
    prints (to STDOUT) a list of available tests, usable for automatic test runs. This option prevents the game from launching.

--nomute
    prevents muting the game when running tests.

-s, --ships
    prints (to STDOUT) a table of ship stats (just the base stats, not considering any stored outfits). This option prevents the game from launching.

    --sales
        prints (to STDOUT) a table of ships with every 'shipyard' each appears in.

    --loaded
        prints (to STDOUT) a table of ship stats accounting for installed outfits. Does not include variants.

    --list
        prints (to STDOUT) a list of all ship names.

    --variants
        consider ship variants as well.

-w, --weapons
    prints (to STDOUT) a table of characteristics of all the available weapons. This option prevents the game from launching.

-e, --engines
    prints (to STDOUT) a table of characteristics of all the available engines. This option prevents the game from launching.

--power
    prints (to STDOUT) a table of power outfit stats.

-o, --outfits
    prints (to STDOUT) a table of characteristics of all the available outfits. This option prevents the game from launching.

    --sales
        prints (to STDOUT) a list of outfits and every 'outfitter' each appears in.

    -a, --all
        prints a table of outfits and all attributes used by any outfits present.

--sales
    prints (to STDOUT) a list of all shipyards and outfitters and the ships and outfits they each contain.

    -s, --ships
        prints a list of shipyards and the ships they each contain.

    -o, --outfits
        pritns a list of outfitters and the outfits they each contain.

--planets
    prints (to STDOUT) a list of all planets.

    --descriptions
        prints (to STDOUT) a table of all planets and their descriptions.

    --attributes
        prints (to STDOUT) a table of all planets and their attributes.

        --reverse
            prints (to STDOUT) a table of all planet attributes and which planets have them.

--systems
    prints (to STDOUT) a list of all systems.

    --attributes
        prints (to STDOUT) a list of all systems and their attributes.

        --reverse
            prints (to STDOUT) a list of all system attributes and which systems have them.

--matches
    reads a data file from STDIN and looks for a "location" node at the root level (i.e. not indentated). If it finds one, prints a list of all systems and planets which match the location filter in that node.

AUTHOR
Michael Zahniser (mzahniser@gmail.com)

This is free software; you can redistribute it and/or modify it under the terms of the GPL.